#set recent score
scoreboard players operation @s 3r_milisec3 = @s milisec
scoreboard players operation @s 3r_sec3 = @s sec
scoreboard players operation @s 3r_min3 = @s min

#check for new best
execute if score @s min < @s 3b_min3 run tag @s add new_best
execute if score @s min <= @s 3b_min3 if score @s sec < @s 3b_sec3 run tag @s add new_best
execute if score @s min <= @s 3b_min3 if score @s sec <= @s 3b_sec3 if score @s milisec < @s 3b_milisec3 run tag @s add new_best

#set new best
execute if entity @s[tag=new_best] run scoreboard players operation @s 3b_milisec3 = @s milisec
execute if entity @s[tag=new_best] run scoreboard players operation @s 3b_sec3 = @s sec
execute if entity @s[tag=new_best] run scoreboard players operation @s 3b_min3 = @s min

#title
execute if entity @s[tag=new_best] run title @s subtitle {"text":"NEW PERSONAL RECORD","bold":true,"color":"dark_green"}

#playsound
execute if entity @s[tag=new_best] run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 1 0

#remove tag 
tag @s remove new_best

#check for not new best
execute if score @s min > @s 3b_min3 run tag @s add not_new_best
execute if score @s min >= @s 3b_min3 if score @s sec > @s 3b_sec3 run tag @s add not_new_best
execute if score @s min >= @s 3b_min3 if score @s sec >= @s 3b_sec3 if score @s milisec > @s 3b_milisec3 run tag @s add not_new_best

#sound
execute if entity @s[tag=not_new_best] run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 1 1

#remove tag
tag @s remove not_new_best

#tellraw if challenge is normal/ detect what medal
#gold
execute if score @s min matches 0 run tag @s add gold
execute if score @s min matches 1 if score @s sec matches ..44 run tag @s add gold
execute if score @s min matches 1 if score @s sec matches 45 if score @s milisec matches 0 run tag @s add gold

#silver
execute unless entity @s[tag=gold] if score @s min matches 1 if score @s sec matches 45.. run tag @s add silver
execute unless entity @s[tag=gold] if score @s min matches 2 if score @s sec matches ..4 run tag @s add silver
execute unless entity @s[tag=gold] if score @s min matches 2 if score @s sec matches 5 if score @s milisec matches 0 run tag @s add silver

#bronze
execute unless entity @s[tag=gold] unless entity @s[tag=silver] if score @s min matches 2 if score @s sec matches ..24 run tag @s add bronze
execute unless entity @s[tag=gold] unless entity @s[tag=silver] if score @s min matches 2 if score @s sec matches 25 if score @s milisec matches 0 run tag @s add bronze

#no medal
execute if score @s min matches 3.. run tag @s add no_medal
execute if score @s min matches 2 if score @s sec matches 26.. run tag @s add no_medal
execute if score @s min matches 2 if score @s sec matches 25 if score @s milisec matches 50.. run tag @s add no_medal

#tellraw
execute if entity @s[tag=gold] run function realms:3/gold3
execute if entity @s[tag=silver] run function realms:3/silver3
execute if entity @s[tag=bronze] run function realms:3/bronze3
execute if entity @s[tag=no_medal] run function realms:3/no_medal3

#new global highscore check
function realms:highscore/3low_gravity